Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHFtpTunnel

    java.lang.Object
      com.mindbright.ssh.SSHTunnel
          com.mindbright.ssh.SSHFtpTunnel

All Implemented Interfaces:
  SSHChannelListener

public class SSHFtpTunnel
extends SSHTunnel

Field Summary
`static int` | `MAX_REMOTE_LISTEN`
`static java.lang.String` | `TUNNEL_NAME`

Fields inherited from class com.mindbright.ssh.SSHTunnel
`controller, ioSocket, remoteDesc, rxChan, txChan, txQueue`

Constructor Summary
`SSHFtpTunnel(java.net.Socket ioSocket, int channelId, int remoteChannelId, SSHChannelController controller)`

Method Summary
`java.lang.String` | `getDescription()`
`void` | `receive(SSHPdu pdu)`
`void` | `transmit(SSHPdu pdu)`

Methods inherited from class com.mindbright.ssh.SSHTunnel
`checkTermination, close, getLocalHost, getLocalPort, isOpen, openFailure, prepare, receiveInputEOF, receiveOutputClosed, sendInputEOF, sendOutputClosed, setRemoteChannelId, setRemoteDesc, start, terminateNow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TUNNEL_NAME

    public static final java.lang.String TUNNEL_NAME

See Also:
  Constant Field Values

### MAX_REMOTE_LISTEN

    public static final int MAX_REMOTE_LISTEN

See Also:
  Constant Field Values

Constructor Detail

### SSHFtpTunnel

    public SSHFtpTunnel(java.net.Socket ioSocket,
                        int channelId,
                        int remoteChannelId,
                        SSHChannelController controller)
                 throws java.io.IOException

Method Detail

### receive

    public void receive(SSHPdu pdu)

  Specified by:
    `receive` in interface `SSHChannelListener`
  Overrides:
    `receive` in class `SSHTunnel`

### transmit

    public void transmit(SSHPdu pdu)

  Specified by:
    `transmit` in interface `SSHChannelListener`
  Overrides:
    `transmit` in class `SSHTunnel`

### getDescription

    public java.lang.String getDescription()

  Overrides:
    `getDescription` in class `SSHTunnel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD